{% extends "dashboard/dashboard_content.html" %}

{% block title %}
    Choose Courses
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_choose_courses %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="ionicons ion-person-add"></i>
                    Opt for Courses
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="x_panel">
                    <div class="x_content">
                        <div class="" role="tabpanel" data-example-id="togglable-tabs">
                            <ul id="myTab" class="nav nav-tabs bar_tabs" role="tablist">
                                <li role="presentation" class="{% if select_tab == 'mycourse' %} active {% endif %}"><a
                                        href="#tab_content1" role="tab"
                                        data-toggle="tab"
                                        aria-expanded="true">My Courses</a>
                                </li>
                                <li role="presentation"
                                    class="{% if select_tab == 'unrequestcourse' %} active {% endif %}"><a
                                        href="#tab_content2" role="tab"
                                        data-toggle="tab"
                                        aria-expanded="false">Requested Courses
                                    {% if requested_courses_count != 0 %}
                                        <span class="badge bg-orange">{{ requested_courses_count }}</span>
                                    {% endif %}
                                </a>
                                </li>
                                <li role="presentation"
                                    class="{% if select_tab == 'onecreditcourse' %} active {% endif %}"><a
                                        href="#tab_content3" role="tab"
                                        data-toggle="tab"
                                        aria-expanded="false">One Credit Courses
                                    {% if one_credit_courses_count != 0 %}
                                        <span class="badge bg-primary">{{ one_credit_courses_count }}</span>
                                    {% endif %}
                                </a>

                                </li>
                                <li role="presentation"
                                    class="{% if select_tab == 'electivecourse' %} active {% endif %}"><a
                                        href="#tab_content4" role="tab"
                                        data-toggle="tab"
                                        aria-expanded="false">Elective Courses
                                    {% if elective_courses_count != 0 %}
                                        <span class="badge bg-blue">{{ elective_courses_count }}</span>
                                    {% endif %}
                                </a>
                                </li>
                            </ul>
                            {% if no_of_sections == 2 %}
                                <div role="alert" class="alert alert-info alert-dismissible fade in">
                                    <h4 style="color: black" align="center">
                                        Your current section: <strong>{{ section_instance }}</strong>
                                    </h4>
                                    <br>
                                    <h5>
                                        <ul>
                                            <li>
                                                Make sure you are assigned to the correct section you belong before
                                                enrolling, contact Programme Coordinator in case of wrong section
                                                assignment.
                                            </li>
                                        </ul>
                                    </h5>
                                </div>
                            {% endif %}
                            <div id="myTabContent" class="tab-content">
                                <div role="tabpanel"
                                     class="tab-pane fade {% if select_tab == 'mycourse' %} active in {% endif %}"
                                     id="tab_content1">
                                    {% if my_one_credit_courses %}
                                        <table class="table table-hover" style="background-color: #e7e7ff;">
                                            <caption><h4 align="center" style="color: #6ea0e0"> Elective
                                                Courses </h4></caption>
                                            <thead>
                                            <tr>
                                                <th></th>
                                                <th>Course</th>
                                                <th>Staff</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            {% for each in my_one_credit_courses %}
                                                <tr>
                                                    <td>
                                                        <i class="fa fa-check"></i>
                                                    </td>
                                                    <td> {{ each.course_code }}-{{ each.course }} </td>
                                                    <td>
                                                        {% for staff in each.staff %}
                                                            {{ staff }}
                                                        {% endfor %}
                                                    </td>
                                                </tr>
                                            {% endfor %}
                                            </tbody>
                                        </table>
                                    {% endif %}
                                    {% if my_elective_courses %}
                                        <table class="table table-hover" style="background-color: #e7e7ff;">
                                            <caption><h4 align="center" style="color: #6ea0e0"> Elective
                                                Courses </h4></caption>
                                            <thead>
                                            <tr>
                                                <th></th>
                                                <th>Course</th>
                                                <th>Staff</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            {% for each in my_elective_courses %}
                                                <tr>
                                                    <td>
                                                        <i class="fa fa-check"></i>
                                                    </td>
                                                    <td> {{ each.course_code }}-{{ each.course }} </td>
                                                    <td>
                                                        {% for staff in each.staff %}
                                                            {{ staff }}
                                                        {% endfor %}
                                                    </td>
                                                </tr>
                                            {% endfor %}
                                            </tbody>
                                        </table>
                                    {% endif %}
                                    {% if not my_elective_courses and not my_open_courses %}
                                        <div role="alert" class="alert alert-success alert-dismissible fade in">
                                            <h4> Currently enrolled courses are displayed here </h4>
                                        </div>
                                    {% endif %}
                                </div>
                                <div role="tabpanel"
                                     class="tab-pane fade {% if select_tab == 'unrequestcourse' %} active in {% endif %}"
                                     id="tab_content2">
                                    <form method="POST">{% csrf_token %}
                                        {% if requested_one_credit_courses %}
                                            <table class="table table-hover" style="background-color: #e7e7ff;">
                                                <caption><h4 align="center" style="color: #6ea0e0"> One Credit
                                                    Courses </h4></caption>
                                                <thead>
                                                <tr>
                                                    <th></th>
                                                    <th>Course</th>
                                                    <th>Staff</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                {% for each in requested_one_credit_courses %}
                                                    <tr>
                                                        <td><input type="checkbox" name="course"
                                                                   value="{{ each.staff_course_pk }}"/>
                                                        </td>
                                                        <td> {{ each.course_code }}-{{ each.course }} </td>
                                                        <td>
                                                            {% for staff in each.staff %}
                                                                {{ staff }}
                                                            {% endfor %}
                                                        </td>
                                                    </tr>
                                                {% endfor %}
                                                </tbody>
                                            </table>
                                        {% endif %}
                                        {% if requested_elective_courses %}
                                            <table class="table table-hover" style="background-color: #e7e7ff;">
                                                <caption><h4 align="center" style="color: #6ea0e0"> Elective
                                                    Courses </h4></caption>
                                                <thead>
                                                <tr>
                                                    <th></th>
                                                    <th>Course</th>
                                                    <th>Staff</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                {% for each in requested_elective_courses %}
                                                    <tr>
                                                        <td><input type="checkbox" name="course"
                                                                   value="{{ each.staff_course_pk }}"/>
                                                        </td>
                                                        <td> {{ each.course_code }}-{{ each.course }} </td>
                                                        <td>
                                                            {% for staff in each.staff %}
                                                                {{ staff }}
                                                            {% endfor %}
                                                        </td>
                                                    </tr>
                                                {% endfor %}
                                                </tbody>
                                            </table>
                                        {% endif %}
                                        {% if requested_elective_courses or requested_open_courses %}
                                            <button class="btn1 btn-orange" type="button"
                                                    data-toggle="modal" data-target="#myModal">
                                                Unrequest Courses
                                            </button>
                                            <div class="modal" id="myModal" tabindex="-1" role="dialog"
                                                 aria-labelledby="myModalLabel1" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <button type="button" class="close" data-dismiss="modal"
                                                                    aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                            </button>
                                                            <h4 class="modal-title" id="myModalLabel1"><b>
                                                                Confirmation </b>
                                                            </h4>
                                                        </div>
                                                        <div class="modal-body">
                                                            <h4 align="center"> Confirm to unrequest the selected
                                                                courses courses </h4>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn1 btn1-secondary"
                                                                    data-dismiss="modal">Close
                                                            </button>
                                                            <input type="submit" class="btn1 btn-deep-orange"
                                                                   name="unrequest_course" value="Unrequest"/>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        {% else %}
                                            <div role="alert" class="alert alert-success alert-dismissible fade in">
                                                <h4> Requested courses are displayed here </h4>
                                            </div>
                                        {% endif %}
                                    </form>
                                </div>
                                <div role="tabpanel"
                                     class="tab-pane fade {% if select_tab == 'onecreditcourse' %} active in {% endif %}"
                                     id="tab_content3">
                                    <form method="POST">{% csrf_token %}
                                        {% if one_credit_courses %}
                                            <table class="table table-hover" style="background-color: #e7e7ff;">
                                                <thead>
                                                <tr>
                                                    <th></th>
                                                    <th>Course</th>
                                                    <th>Staff</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                {% for each in one_credit_courses %}
                                                    <tr>
                                                        <td><input type="checkbox" name="course"
                                                                   value="{{ each.staff_course_pk }}"/>
                                                        </td>
                                                        <td>{{ each.course_code }}-{{ each.course }}</td>
                                                        <td>
                                                            {% for staff in each.staff %}
                                                                {{ staff }}
                                                            {% endfor %}
                                                        </td>
                                                    </tr>
                                                {% endfor %}
                                                </tbody>
                                            </table>
                                            <input type="submit" class="btn1 btn-dark-green"
                                                   name="request_course_one_credit"
                                                   value="Request Course"/>
                                        {% else %}
                                            <div role="alert" class="alert alert-success alert-dismissible fade in">
                                                <h4> No courses are currently available </h4>
                                            </div>
                                        {% endif %}
                                    </form>
                                </div>
                                <div role="tabpanel"
                                     class="tab-pane fade {% if select_tab == 'electivecourse' %} active in {% endif %}"
                                     id="tab_content4">
                                    <form method="POST">{% csrf_token %}
                                        {% if elective_courses %}
                                            <table class="table table-hover" style="background-color: #e7e7ff;">
                                                <thead>
                                                <tr>
                                                    <th></th>
                                                    <th>Course</th>
                                                    <th>Staff</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                {% for each in elective_courses %}
                                                    <tr>
                                                        <td><input type="checkbox" name="course"
                                                                   value="{{ each.staff_course_pk }}"/>
                                                        </td>
                                                        <td>{{ each.course_code }}-{{ each.course }}</td>
                                                        <td>
                                                            {% for staff in each.staff %}
                                                                {{ staff }}
                                                            {% endfor %}
                                                        </td>
                                                    </tr>
                                                {% endfor %}
                                                </tbody>
                                            </table>
                                            <input type="submit" class="btn1 btn-dark-green"
                                                   name="request_course_elective"
                                                   value="Request Course"/>
                                        {% else %}
                                            <div role="alert" class="alert alert-success alert-dismissible fade in">
                                                <h4> No courses are currently available </h4>
                                            </div>
                                        {% endif %}
                                    </form>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}
    <script type="text/javascript">
        $("#myTab").tabCollapse();
    </script>

    <script>
        {% if error %}
            $(function () {
                new PNotify({
                    title: 'Error!',
                    text: 'Course already taken...',
                    type: 'error',
                    styling: 'bootstrap3',
                    mobile: {'styling': true},
                });
            });
        {% endif %}
    </script>

{% endblock %}